Index: /trunk/gsdl/src/colservr/Makefile.in
===================================================================
--- /trunk/gsdl/src/colservr/Makefile.in	(revision 13772)
+++ /trunk/gsdl/src/colservr/Makefile.in	(revision 13773)
@@ -34,4 +34,5 @@
 DEFS = -DNZDL -DQUIET -DSHORT_SUFFIX -DPARADOCNUM -DGSDLSERVER @DEFS@
 
+INDEXERS_DIR=../../indexers
 USE_FASTCGI = @USE_FASTCGI@
 USE_MGPP = @USE_MGPP@
@@ -47,6 +48,6 @@
 
 ifneq ($(USE_MGPP), 1)
-MG_INCLUDES = -I../../packages/mg  -I../../packages/mg/lib \
-		-I../../packages/mg/src/text
+MG_INCLUDES = -I$(INDEXERS_DIR)/mg  -I$(INDEXERS_DIR)/mg/lib \
+		-I$(INDEXERS_DIR)/mg/src/text
 MG_HEADERS = mgq.h mgsearch.h mgqueryfilter.h 
 
@@ -57,5 +58,5 @@
 
 else
-MG_INCLUDES = -I../mgpp/text -I../mgpp/lib 
+MG_INCLUDES = -I$(INDEXERS_DIR)/mgpp/text -I$(INDEXERS_DIR)/mgpp/lib 
 
 MG_HEADERS = mgppsearch.h mgppqueryfilter.h
@@ -92,5 +93,5 @@
 endif
 endif
-MINCLUDES = -I. -I../../lib -I../recpt  -I../mgpp/text $(MICO_INC)
+MINCLUDES = -I. -I../../lib -I../recpt  -I$(INDEXERS_DIR)/mgpp/text $(MICO_INC)
 
 USE_CORBA = @USE_CORBA@
@@ -185,5 +186,5 @@
 # needs IndexData.h from mgpp...
 $(MG_MGPP_OBJECTS): %.o : %.cpp
-	$(CXXCOMPILE) -I../mgpp/text -I../mgpp/lib -o $@ $<
+	$(CXXCOMPILE) -I$(INDEXERS_DIR)/mgpp/text -I$(INDEXERS_DIR)/mgpp/lib -o $@ $<
 
 depend:
Index: /trunk/gsdl/src/colservr/win32.mak
===================================================================
--- /trunk/gsdl/src/colservr/win32.mak	(revision 13772)
+++ /trunk/gsdl/src/colservr/win32.mak	(revision 13773)
@@ -52,8 +52,8 @@
 DEFS = -D__WIN32__ -DHAVE_CONFIG_H -DPARADOCNUM -D_LITTLE_ENDIAN -DSHORT_SUFFIX -DXML_STATIC -D_CRT_SECURE_NO_DEPRECATE
 INCLUDES = -I"$(GSDLHOME)" -I"$(GSDLHOME)\lib" -I"$(GSDLHOME)\src\colservr" \
-	   -I"$(GSDLHOME)\src\recpt" -I"$(GSDLHOME)\packages\mg" \
-	   -I"$(GSDLHOME)\packages\mg\lib" -I"$(GSDLHOME)\packages\mg\src\text" \
+	   -I"$(GSDLHOME)\src\recpt" -I"$(GSDLHOME)\indexers\mg" \
+	   -I"$(GSDLHOME)\indexers\mg\lib" -I"$(GSDLHOME)\indexers\mg\src\text" \
 	   -I"$(GSDLHOME)\packages\windows\gdbm\gdbm" \
-           -I"$(GSDLHOME)\src\mgpp\lib" -I"$(GSDLHOME)\src\mgpp\text" \
+           -I"$(GSDLHOME)\indexers\mgpp\lib" -I"$(GSDLHOME)\indexers\mgpp\text" \
            -I"$(GSDLHOME)\packages\windows\expat\expat"
 
Index: /trunk/gsdl/src/db2txt/win32.mak
===================================================================
--- /trunk/gsdl/src/db2txt/win32.mak	(revision 13772)
+++ /trunk/gsdl/src/db2txt/win32.mak	(revision 13773)
@@ -48,5 +48,5 @@
 !ENDIF
 
-LIBS = "$(GSDLHOME)\packages\mg\lib\unitool.obj" "$(GSDLHOME)\lib\gsdllib.lib" \
+LIBS = "$(GSDLHOME)\indexers\mg\lib\unitool.obj" "$(GSDLHOME)\lib\gsdllib.lib" \
        "$(GSDLHOME)\packages\windows\gdbm\gdbm\gdbm.lib"
 
Index: /trunk/gsdl/src/oaiservr/Makefile.in
===================================================================
--- /trunk/gsdl/src/oaiservr/Makefile.in	(revision 13772)
+++ /trunk/gsdl/src/oaiservr/Makefile.in	(revision 13773)
@@ -31,7 +31,9 @@
 colserv_srcdir = $(gs_srcdir)/colservr
 
+INDEXERS_DIR=../../indexers
+
 ENABLE_ACCENTFOLD = @ENABLE_ACCENTFOLD@
 ifeq ($(ENABLE_ACCENTFOLD), 1)
-AFLIBS = ../../packages/unac/libunac.a 
+AFLIBS = $(INDEXERS_DIR)/packages/unac/libunac.a 
 AFFLAGS = -DENABLE_ACCENTFOLD
 else
@@ -49,5 +51,5 @@
 
 # -I../../packages/mg -I../../packages/mg/lib -I../../packages/mg/src/text ?
-INCLUDES = -I$(srcdir)/../../lib -I$(colserv_srcdir) -I$(gs_srcdir)/mgpp/lib -I$(gs_srcdir)/mgpp/text -I$(recpt_srcdir)
+INCLUDES = -I$(srcdir)/../../lib -I$(colserv_srcdir) -I$(INDEXERS_DIR)/mgpp/lib -I$(INDEXERS_DIR)/mgpp/text -I$(recpt_srcdir)
 
 
@@ -153,8 +155,8 @@
 OAI_OBJS = $(OBJECTS) $(COLSERVROBJECTS) \
     ../../lib/gsdllib.a  \
-    ../../packages/mg/src/text/libtextin.a \
-    ../../packages/mg/lib/libmg.a \
-    ../../src/mgpp/text/libtextin.a \
-    ../../src/mgpp/lib/libmg.a
+    $(INDEXERS_DIR)/mg/src/text/libmgtext.a \
+    $(INDEXERS_DIR)/mg/lib/libmglib.a \
+    $(INDEXERS_DIR)/mgpp/text/libmgpptext.a \
+    $(INDEXERS_DIR)/mgpp/lib/libmgpplib.a
 
 oaiserver$(EXEEXT): $(OAI_OBJS)
Index: /trunk/gsdl/src/oaiservr/win32.mak
===================================================================
--- /trunk/gsdl/src/oaiservr/win32.mak	(revision 13772)
+++ /trunk/gsdl/src/oaiservr/win32.mak	(revision 13773)
@@ -57,8 +57,8 @@
 DEFS = -D__WIN32__ -DHAVE_CONFIG_H -DPARADOCNUM -D_LITTLE_ENDIAN -DSHORT_SUFFIX -D_CRT_SECURE_NO_DEPRECATE
 INCLUDES = -I"$(GSDLHOME)\src\recpt" -I"$(GSDLHOME)\lib" -I"$(GSDLHOME)\src\colservr" \
-	   -I"$(GSDLHOME)\packages\mg" -I"$(GSDLHOME)\packages\mg\lib" \
-	   -I"$(GSDLHOME)\packages\mg\src\text" -I"$(GSDLHOME)\packages\windows\gdbm\gdbm" \
-	   -I"$(GSDLHOME)\packages\windows\crypt\crypt" -I"$(GSDLHOME)\src\mgpp\lib" \
-	   -I"$(GSDLHOME)\src\mgpp\text" -I"$(GSDLHOME)"
+	   -I"$(GSDLHOME)\indexers\mg" -I"$(GSDLHOME)\indexers\mg\lib" \
+	   -I"$(GSDLHOME)\indexers\mg\src\text" -I"$(GSDLHOME)\packages\windows\gdbm\gdbm" \
+	   -I"$(GSDLHOME)\packages\windows\crypt\crypt" -I"$(GSDLHOME)\indexers\mgpp\lib" \
+	   -I"$(GSDLHOME)\indexers\mgpp\text" -I"$(GSDLHOME)"
 !IF $(GSDL_VC4)
 DEFS = $(DEFS) -DGSDL_NAMESPACE_BROKEN -DGSDL_USE_IOS_H -D__STL_NO_NEW_IOSTREAMS
@@ -67,5 +67,5 @@
 
 !IF $(ENABLE_ACCENTFOLD)
-AFLIBS = "$(GSDLHOME)\packages\unac\libunac.lib" "$(GSDLHOME)\packages\unac\iconv.lib"
+AFLIBS = "$(GSDLHOME)\indexers\packages\unac\libunac.lib" "$(GSDLHOME)\indexers\packages\unac\iconv.lib"
 DEFS = $(DEFS) -DENABLE_ACCENTFOLD
 !ELSE
@@ -77,8 +77,8 @@
        "$(GSDLHOME)\src\colservr\gsdlcolservr.lib" \
        "$(GSDLHOME)\lib\gsdllib.lib" \
-       "$(GSDLHOME)\packages\mg\src\text\libtextin.lib" \
-       "$(GSDLHOME)\packages\mg\lib\libmg.lib" \
-       "$(GSDLHOME)\src\mgpp\text\libtextin.lib" \
-       "$(GSDLHOME)\src\mgpp\lib\libmg.lib" \
+       "$(GSDLHOME)\indexers\mg\src\text\libmgtext.lib" \
+       "$(GSDLHOME)\indexers\mg\lib\libmglib.lib" \
+       "$(GSDLHOME)\indexers\mgpp\text\libmgpptext.lib" \
+       "$(GSDLHOME)\indexers\mgpp\lib\libmgpplib.lib" \
        "$(GSDLHOME)\packages\windows\expat\expat\libexpat.lib" \
 	$(AFLIBS)
Index: /trunk/gsdl/src/recpt/Makefile.in
===================================================================
--- /trunk/gsdl/src/recpt/Makefile.in	(revision 13772)
+++ /trunk/gsdl/src/recpt/Makefile.in	(revision 13773)
@@ -39,7 +39,9 @@
 endif
 
+INDEXERS_DIR=../../indexers
+
 ENABLE_ACCENTFOLD = @ENABLE_ACCENTFOLD@
 ifeq ($(ENABLE_ACCENTFOLD), 1)
-AFLIBS = ../../packages/unac/libunac.a 
+AFLIBS = $(INDEXERS_DIR)/packages/unac/libunac.a 
 AFFLAGS = -DENABLE_ACCENTFOLD
 else
@@ -61,15 +63,15 @@
 ifneq ($(USE_FASTCGI), 1)
 DEFS = -DNZDL -DQUIET -DSHORT_SUFFIX -DPARADOCNUM @DEFS@
-INCLUDES = -I../../lib -I. -I../colservr -I../../packages/mg \
-	   -I../../packages/mg/lib -I../../packages/mg/src/text \
+INCLUDES = -I../../lib -I. -I../colservr -I$(INDEXERS_DIR)/mg \
+	   -I$(INDEXERS_DIR)/mg/lib -I$(INDEXERS_DIR)/mg/src/text \
            -I../../packages/expat/include \
-	   -I../mgpp/lib -I../mgpp/text -I../..
+	   -I$(INDEXERS_DIR)/mgpp/lib -I$(INDEXERS_DIR)/mgpp/text -I../..
 else 
 DEFS = -DNZDL -DQUIET -DSHORT_SUFFIX -DPARADOCNUM -DUSE_FASTCGI @DEFS@
-INCLUDES = -I../../lib -I. -I../colservr -I../../packages/mg \
-	   -I../../packages/mg/lib -I../../packages/mg/src/text \
+INCLUDES = -I../../lib -I. -I../colservr -I$(INDEXERS_DIR)/mg \
+	   -I$(INDEXERS_DIR)/mg/lib -I$(INDEXERS_DIR)/mg/src/text \
            -I../../packages/expat/include \
-           -I../../packages/fcgi/include -I../mgpp/lib \
-	   -I../mgpp/text -I../..
+           -I../../packages/fcgi/include -I$(INDEXERS_DIR)/mgpp/lib \
+	   -I$(INDEXERS_DIR)/mgpp/text -I../..
 endif
 MICO_DIR = @MICO_DIR@
@@ -89,5 +91,5 @@
 MICO_LIB = -L$(MICO_DIR)
 endif
-MINCLUDES = -I. -I../../lib -I../colservr -I../mgpp/text $(MICO_INC)
+MINCLUDES = -I. -I../../lib -I../colservr -I$(INDEXERS_DIR)/mgpp/text $(MICO_INC)
 
 LC_LIBS     = -L../../packages/expat/lib -lexpat
@@ -316,9 +318,9 @@
 RECPT_OBJS = $(COMMONOBJECTS) $(RECPTOBJECTS) \
     ../../lib/gsdllib.a  \
-    ../../packages/mg/src/text/libtextin.a \
-    ../../packages/mg/lib/libmg.a \
+    $(INDEXERS_DIR)/mg/src/text/libmgtext.a \
+    $(INDEXERS_DIR)/mg/lib/libmglib.a \
     $(FASTCGI_OBJS) \
-    ../mgpp/text/libtextin.a \
-    ../mgpp/lib/libmg.a 
+    $(INDEXERS_DIR)/mgpp/text/libmgpptext.a \
+    $(INDEXERS_DIR)/mgpp/lib/libmgpplib.a 
 
 recpt: $(RECPT_OBJS)
@@ -335,9 +337,9 @@
 LIBRARY_OBJS = $(COMMONOBJECTS) $(LIBRARYOBJECTS) $(COLSERVROBJECTS) $(Z_CLIENTOBJS) \
     ../../lib/gsdllib.a  \
-    ../../packages/mg/src/text/libtextin.a \
-    ../../packages/mg/lib/libmg.a \
+    $(INDEXERS_DIR)/mg/src/text/libmgtext.a \
+    $(INDEXERS_DIR)/mg/lib/libmglib.a \
     $(FASTCGI_OBJS) $(Z_LIBYAZ_A) \
-    ../mgpp/text/libtextin.a \
-    ../mgpp/lib/libmg.a
+    $(INDEXERS_DIR)/mgpp/text/libmgpptext.a \
+    $(INDEXERS_DIR)/mgpp/lib/libmgpplib.a
 
 library: $(LIBRARY_OBJS)
@@ -352,9 +354,9 @@
 RLIBRARY_OBJS = $(COMMONOBJECTS) $(RECPTLIB_OBJECTS) $(COLSERVROBJECTS) \
     ../../lib/gsdllib.a  \
-    ../../packages/mg/src/text/libtextin.a \
-    ../../packages/mg/lib/libmg.a \
+    $(INDEXERS_DIR)/mg/src/text/libmgtext.a \
+    $(INDEXERS_DIR)/mg/lib/libmglib.a \
     $(FASTCGI_OBJS) $(Z_LIBOBJS) $(Z_LIBYAZ_A) \
-    ../mgpp/text/libtextin.a \
-    ../mgpp/lib/libmg.a 
+    $(INDEXERS_DIR)/mgpp/text/libmgpptext.a \
+    $(INDEXERS_DIR)/mgpp/lib/libmgpplib.a 
 
 RECPTLIB_OBJS = $(RLIBRARY_OBJS) ../colservr/corbaServer.o
@@ -378,9 +380,9 @@
     ../../lib/corbatext_t.o \
     ../../lib/gsdllib.a  \
-    ../../packages/mg/src/text/libtextin.a \
-    ../../packages/mg/lib/libmg.a \
+    $(INDEXERS_DIR)/mg/src/text/libmgtext.a \
+    $(INDEXERS_DIR)/mg/lib/libmglib.a \
     $(FASTCGI_OBJS) \
-    ../mgpp/text/libtextin.a \
-    ../mgpp/lib/libmg.a 
+    $(INDEXERS_DIR)/mgpp/text/libmgpptext.a \
+    $(INDEXERS_DIR)/mgpp/lib/libmgpplib.a 
 
 
@@ -397,9 +399,9 @@
     ../colservr/z3950server.o ../colservr/read-grs.o nullproto.o \
     ../../lib/gsdllib.a  \
-    ../../packages/mg/src/text/libtextin.a \
-    ../../packages/mg/lib/libmg.a \
+    $(INDEXERS_DIR)/mg/src/text/libmgtext.a \
+    $(INDEXERS_DIR)/mg/lib/libmglib.a \
     $(FASTCGI_OBJS) \
-    ../mgpp/text/libtextin.a \
-    ../mgpp/lib/libmg.a ../../packages/yaz/lib/libyaz.a ../../packages/d2m/libd2m.a
+    $(INDEXERS_DIR)/mgpp/text/libmgpptext.a \
+    $(INDEXERS_DIR)/mgpp/lib/libmgpplib.a ../../packages/yaz/lib/libyaz.a ../../packages/d2m/libd2m.a
 
 
Index: /trunk/gsdl/src/recpt/win32.mak
===================================================================
--- /trunk/gsdl/src/recpt/win32.mak	(revision 13772)
+++ /trunk/gsdl/src/recpt/win32.mak	(revision 13773)
@@ -59,8 +59,8 @@
 DEFS = -D__WIN32__ -DHAVE_CONFIG_H -DPARADOCNUM -D_LITTLE_ENDIAN -DSHORT_SUFFIX -D_CRT_SECURE_NO_DEPRECATE -DGSDL_NOCACHE
 INCLUDES = -I"$(GSDLHOME)\src\recpt" -I"$(GSDLHOME)\lib" -I"$(GSDLHOME)\src\colservr" \
-	   -I"$(GSDLHOME)\packages\mg" -I"$(GSDLHOME)\packages\mg\lib" \
-	   -I"$(GSDLHOME)\packages\mg\src\text" -I"$(GSDLHOME)\packages\windows\gdbm\gdbm" \
-	   -I"$(GSDLHOME)\packages\windows\crypt\crypt" -I"$(GSDLHOME)\src\mgpp\lib" \
-	   -I"$(GSDLHOME)\src\mgpp\text" -I"$(GSDLHOME)"
+	   -I"$(GSDLHOME)\indexers\mg" -I"$(GSDLHOME)\indexers\mg\lib" \
+	   -I"$(GSDLHOME)\indexers\mg\src\text" -I"$(GSDLHOME)\packages\windows\gdbm\gdbm" \
+	   -I"$(GSDLHOME)\packages\windows\crypt\crypt" -I"$(GSDLHOME)\indexers\mgpp\lib" \
+	   -I"$(GSDLHOME)\indexers\mgpp\text" -I"$(GSDLHOME)"
 !IF $(GSDL_VC4)
 DEFS = $(DEFS) -DGSDL_NAMESPACE_BROKEN -DGSDL_USE_IOS_H -D__STL_NO_NEW_IOSTREAMS
@@ -72,5 +72,5 @@
 
 !IF $(ENABLE_ACCENTFOLD)
-AFLIBS = "$(GSDLHOME)\packages\unac\libunac.lib" "$(GSDLHOME)\packages\unac\iconv.lib"
+AFLIBS = "$(GSDLHOME)\indexers\packages\unac\libunac.lib" "$(GSDLHOME)\indexers\packages\unac\iconv.lib"
 DEFS = $(DEFS) -DENABLE_ACCENTFOLD
 !ELSE
@@ -82,8 +82,8 @@
        "$(GSDLHOME)\src\colservr\gsdlcolservr.lib" \
        "$(GSDLHOME)\lib\gsdllib.lib" \
-       "$(GSDLHOME)\packages\mg\src\text\libtextin.lib" \
-       "$(GSDLHOME)\packages\mg\lib\libmg.lib" \
-       "$(GSDLHOME)\src\mgpp\text\libtextin.lib" \
-       "$(GSDLHOME)\src\mgpp\lib\libmg.lib" \
+       "$(GSDLHOME)\indexers\mg\src\text\libmgtext.lib" \
+       "$(GSDLHOME)\indexers\mg\lib\libmglib.lib" \
+       "$(GSDLHOME)\indexers\mgpp\text\libmgpptext.lib" \
+       "$(GSDLHOME)\indexers\mgpp\lib\libmgpplib.lib" \
        "$(GSDLHOME)\packages\windows\expat\expat\libexpat.lib" \
 	$(AFLIBS)
@@ -206,9 +206,9 @@
     ../colservr/z3950server.o ../colservr/read-grs.o nullproto.o \
     ../../lib/gsdllib.a  \
-    ../../packages/mg/src/text/libtextin.a \
-    ../../packages/mg/lib/libmg.a \
+    ../../indexers/mg/src/text/libmgtext.a \
+    ../../indexers/mg/lib/libmglib.a \
     $(FASTCGI_OBJS) \
-    ../mgpp/text/libtextin.a \
-    ../mgpp/lib/libmg.a ../../packages/yaz/lib/libyaz.a ../../packages/d2m/libd2m.a
+    ../../indexers/mgpp/text/libmgpptext.a \
+    ../../indexers/mgpp/lib/libmgpplib.a ../../packages/yaz/lib/libyaz.a ../../packages/d2m/libd2m.a
 
 Z3950_OBJS =  "$(GSDLHOME)\src\colservr\gsdlz3950.lib" \
Index: /trunk/gsdl/src/txt2db/Makefile.in
===================================================================
--- /trunk/gsdl/src/txt2db/Makefile.in	(revision 13772)
+++ /trunk/gsdl/src/txt2db/Makefile.in	(revision 13773)
@@ -35,6 +35,7 @@
 INCLUDES = -I../../lib @GDBM_INCLUDE@
 LDFLAGS = @LDFLAGS@ 
-DPLIBS = ../../lib/gsdllib.a ../../packages/mg/lib/unitool.o
-LIBS = ../../lib/gsdllib.a ../../packages/mg/lib/unitool.o @GDBM_LIBPATH@ -lgdbm @LIBS@
+INDEXERS_DIR=../../indexers
+DPLIBS = ../../lib/gsdllib.a $(INDEXERS_DIR)/mg/lib/unitool.o
+LIBS = ../../lib/gsdllib.a $(INDEXERS_DIR)/mg/lib/unitool.o @GDBM_LIBPATH@ -lgdbm @LIBS@
 GSDLOS = @gsdlos@
 INSTALL = @INSTALL@
Index: /trunk/gsdl/src/txt2db/win32.mak
===================================================================
--- /trunk/gsdl/src/txt2db/win32.mak	(revision 13772)
+++ /trunk/gsdl/src/txt2db/win32.mak	(revision 13773)
@@ -41,5 +41,5 @@
 
 DEFS = -D__WIN32__ -DHAVE_CONFIG_H -D_CRT_SECURE_NO_DEPRECATE
-INCLUDES = -I"$(GSDLHOME)\src\txt2db" -I"$(GSDLHOME)\lib" -I"$(GSDLHOME)\packages\mg\lib" \
+INCLUDES = -I"$(GSDLHOME)\src\txt2db" -I"$(GSDLHOME)\lib" -I"$(GSDLHOME)\indexers\mg\lib" \
 	   -I"$(GSDLHOME)\packages\windows\gdbm\gdbm"
 !IF $(GSDL_VC4)
@@ -48,5 +48,5 @@
 !ENDIF
 
-LIBS = "$(GSDLHOME)\packages\mg\lib\unitool.obj" "$(GSDLHOME)\lib\gsdllib.lib" \
+LIBS = "$(GSDLHOME)\indexers\mg\lib\unitool.obj" "$(GSDLHOME)\lib\gsdllib.lib" \
        "$(GSDLHOME)\packages\windows\gdbm\gdbm\gdbm.lib"
 
Index: /trunk/gsdl/src/w32server/win32.mak
===================================================================
--- /trunk/gsdl/src/w32server/win32.mak	(revision 13772)
+++ /trunk/gsdl/src/w32server/win32.mak	(revision 13773)
@@ -44,7 +44,7 @@
        -DSHORT_SUFFIX -D_CRT_SECURE_NO_DEPRECATE
 INCLUDES = -I"$(GSDLHOME)\src\w32server" -I"$(GSDLHOME)\src\recpt" -I"$(GSDLHOME)\lib" \
-	   -I"$(GSDLHOME)\src\colservr" -I"$(GSDLHOME)\packages\mg" \
-	   -I"$(GSDLHOME)\packages\mg\lib" -I"$(GSDLHOME)\packages\mg\src\text" \
-	   -I"$(GSDLHOME)\src\mgpp\lib" -I"$(GSDLHOME)\src\mgpp\text" -I"$(GSDLHOME)"
+	   -I"$(GSDLHOME)\src\colservr" -I"$(GSDLHOME)\indexers\mg" \
+	   -I"$(GSDLHOME)\indexers\mg\lib" -I"$(GSDLHOME)\indexers\mg\src\text" \
+	   -I"$(GSDLHOME)\indexers\mgpp\lib" -I"$(GSDLHOME)\indexers\mgpp\text" -I"$(GSDLHOME)"
 !IF $(GSDL_VC4)
 DEFS = $(DEFS) -DGSDL_NAMESPACE_BROKEN -DGSDL_USE_IOS_H -D__STL_NO_NEW_IOSTREAMS
@@ -53,5 +53,5 @@
 
 !IF $(ENABLE_ACCENTFOLD)
-AFLIBS = "$(GSDLHOME)\packages\unac\libunac.lib" "$(GSDLHOME)\packages\unac\iconv.lib"
+AFLIBS = "$(GSDLHOME)\indexers\packages\unac\libunac.lib" "$(GSDLHOME)\indexers\packages\unac\iconv.lib"
 DEFS = $(DEFS) -DENABLE_ACCENTFOLD
 !ELSE
@@ -60,12 +60,12 @@
 
 LIBS = "$(GSDLHOME)\lib\gsdllib.lib" \
-       "$(GSDLHOME)\packages\mg\src\text\libtextin.lib" \
-       "$(GSDLHOME)\packages\mg\lib\libmg.lib" \
+       "$(GSDLHOME)\indexers\mg\src\text\libmgtext.lib" \
+       "$(GSDLHOME)\indexers\mg\lib\libmglib.lib" \
        "$(GSDLHOME)\src\colservr\gsdlcolservr.lib" \
        "$(GSDLHOME)\src\recpt\gsdlrecpt.lib" \
        "$(GSDLHOME)\packages\windows\gdbm\gdbm\gdbm.lib" \
        "$(GSDLHOME)\packages\windows\crypt\crypt\crypt.lib" \
-       "$(GSDLHOME)\src\mgpp\lib\libmg.lib" \
-       "$(GSDLHOME)\src\mgpp\text\libtextin.lib" \
+       "$(GSDLHOME)\indexers\mgpp\lib\libmgpplib.lib" \
+       "$(GSDLHOME)\indexers\mgpp\text\libmgpptext.lib" \
        "$(GSDLHOME)\packages\windows\expat\expat\libexpat.lib" \
 	$(AFLIBS)