Index: /trunk/gsdl-documentation/manuals/processing/common.xsl
===================================================================
--- /trunk/gsdl-documentation/manuals/processing/common.xsl	(revision 13784)
+++ /trunk/gsdl-documentation/manuals/processing/common.xsl	(revision 13785)
@@ -189,3 +189,16 @@
   <xsl:template match="Section" mode="ref"><xsl:number count="//Chapter|//Chapter//Section" format="1.1" level="multiple"/></xsl:template>
   <xsl:template match="Subsection" mode="ref"><xsl:number level="multiple" format="1.1.1" count="//Chapter|//Chapter//Section|//Chapter//Section//Subsection"/></xsl:template>
+  
+  
+  <xsl:template match="SupplementaryText">
+  	<xsl:param name="manual_id" select="''"/>
+  	<xsl:param name="manual_lang" select="''"/>  	
+  	<xsl:for-each select="Text">
+  	  	<div class="indexlink"><a class="indexlink">
+  	  	<xsl:if test="@id='manual_index'"><xsl:attribute name="href"><xsl:value-of select="$manual_id"/>_<xsl:value-of select="$manual_lang"/>_index.html</xsl:attribute></xsl:if>
+  	  	<xsl:if test="@id='top_index'"><xsl:attribute name="href">../../index.html</xsl:attribute></xsl:if>
+  	  	<xsl:value-of select="."/></a></div>
+  	</xsl:for-each>
+  </xsl:template> 
+  
 </xsl:stylesheet>
Index: /trunk/gsdl-documentation/manuals/processing/style.css
===================================================================
--- /trunk/gsdl-documentation/manuals/processing/style.css	(revision 13784)
+++ /trunk/gsdl-documentation/manuals/processing/style.css	(revision 13785)
@@ -8,4 +8,6 @@
 p{ FONT-SIZE: 13px; FONT-FAMILY: Arial, Helvetica, sans-serif; COLOR: #000000}
 
+
+
 table.figure_code{
 	padding-bottom:2pt; padding-left:2pt; padding-right:2pt; padding-top:2pt;	
@@ -13,7 +15,7 @@
 }
 
-div.linenumber{
-	margin-top:0pt; margin-right:0in; margin-bottom:0in; margin-left:0pt; margin-bottom:0pt; font-family:Courier; FONT-SIZE: 8pt
-}
+div.linenumber{margin-top:0pt; margin-right:0in; margin-bottom:0in; margin-left:0pt; margin-bottom:0pt; font-family:Courier; FONT-SIZE: 8pt}
+div.comment{ margin-top: 0px; margin-bottom: 0px; margin-left: 20px;}
+div.indexlink{ text-align: right;}
 
 li {FONT-SIZE: 12px; FONT-FAMILY: Arial, Helvetica, sans-serif; COLOR: #000000}
@@ -23,5 +25,8 @@
 dd {margin-top: 2pt; margin-bottom: 0pt; font-size: 12px}
 dt {margin-top: 1pt; margin-bottom: 0pt; font-size: 12px}
-a {font-size: 12px}
+
+a {font-size: 15px}
+a.title {font-size: 18px; font-family:arial,sans-serif;}
+a.comment {font-size: 11px; font-family:arial,sans-serif;}
 
 img{border: 0px}
Index: /trunk/gsdl-documentation/manuals/processing/xml-to-index.xsl
===================================================================
--- /trunk/gsdl-documentation/manuals/processing/xml-to-index.xsl	(revision 13784)
+++ /trunk/gsdl-documentation/manuals/processing/xml-to-index.xsl	(revision 13785)
@@ -6,5 +6,4 @@
   exclude-result-prefixes="java">
   
-  <xsl:variable name="mode">cd</xsl:variable>
   <xsl:output method="html"/>
   <xsl:include href="common.xsl"/>
@@ -13,5 +12,5 @@
     <html>
       <head><title><xsl:value-of select="Title/Text"/></title></head>
-      <link rel="stylesheet" href="../style.css" type="text/css"/>
+      <link rel="stylesheet" href="../../style.css" type="text/css"/>
       <body>
 	<h2><xsl:apply-templates select="Heading/Text"/></h2>
@@ -20,10 +19,14 @@
 	<xsl:apply-templates select="Author"/>
 	<xsl:apply-templates select="Affiliation"/>
+	
+	<div class="indexlink"><a href="../../index.html"><xsl:value-of select="/Manual/SupplementaryText/Text[@id='top_index']"/></a></div>
+	
   <xsl:apply-templates select="Text"/>
 	<xsl:apply-templates select="Comment"/>
-	<xsl:call-template name="version_and_date"/>		<br/>
+	<xsl:call-template name="version_and_date"/>	
 
 	<xsl:apply-templates select="Section" mode="preface"/>
-		
+	
+	<h3>Contents</h3>
 	<dl>
 	  <xsl:apply-templates select="Chapter"/>
@@ -34,9 +37,6 @@
 
   <xsl:template match="Chapter">
-    <dt><a href="Chapter_{@id}.htm"><xsl:apply-templates select="Title/Text"/></a></dt>
-    <dd><xsl:for-each select="Title">
-			<xsl:apply-templates/><br/>
-			</xsl:for-each>
-    </dd>
+    <dt><a href="Chapter_{@id}.htm"><xsl:apply-templates select="Title/Text"/></a></dt>    
+    <xsl:for-each select="Content/Section"><dd><xsl:apply-templates select="Title/Text"/></dd></xsl:for-each>
   </xsl:template>
 </xsl:stylesheet>
Index: /trunk/gsdl-documentation/manuals/processing/xml-to-many-html.xsl
===================================================================
--- /trunk/gsdl-documentation/manuals/processing/xml-to-many-html.xsl	(revision 13784)
+++ /trunk/gsdl-documentation/manuals/processing/xml-to-many-html.xsl	(revision 13785)
@@ -9,23 +9,28 @@
   <xsl:include href="crossref-inter.xsl"/>
 
-  <xsl:output method="html"/> 
+  <xsl:output method="html"/>
   
-  <xsl:template match="Chapter|FootnoteList">    
+  <xsl:template match="Chapter|FootnoteList">
     <html>
       <head>
-	<title><xsl:apply-templates select="Title/Text"/></title>
-	<link rel="stylesheet" href="../style.css" type="text/css"/>
+			<title><xsl:apply-templates select="Title/Text"/></title>
+			<link rel="stylesheet" href="../../style.css" type="text/css"/>
       </head>
       <body>
         <table width="90%" border="0" align="center"><tr><td>
-	<h2><xsl:value-of select="/Manual/Heading/Text"/>&#160;<xsl:value-of select="/Manual/Title/Text"/></h2>
-	<a name="Chapter_{@id}"/><h1>
-	  <xsl:if test="not(starts-with(@id, 'appendix') or starts-with(@id, 'biblio'))">
-	  Chapter <xsl:number/>&#160;</xsl:if><xsl:apply-templates select="Title/Text"/></h1>
-	
-	<xsl:if test="Content/Section">
-	<h3>Contents</h3>	
-	<xsl:apply-templates select="Content/Section" mode="index"/>
-	</xsl:if>
+				<h2><xsl:value-of select="/Manual/Heading/Text"/>&#160;<xsl:value-of select="/Manual/Title/Text"/></h2>
+				<a name="Chapter_{@id}"/><h1>
+			  <xsl:if test="not(starts-with(@id, 'appendix') or starts-with(@id, 'biblio'))">
+			  Chapter <xsl:number/>&#160;</xsl:if><xsl:apply-templates select="Title/Text"/></h1>	
+			  
+		  	<xsl:apply-templates select="/Manual/SupplementaryText">
+		  		<xsl:with-param name="manual_id" select="/Manual/@id"/>
+		  		<xsl:with-param name="manual_lang" select="/Manual/@lang"/>
+		  	</xsl:apply-templates>
+		  	
+				<xsl:if test="Content/Section">
+				<h3>Contents</h3>
+				<xsl:apply-templates select="Content/Section" mode="index"/>
+				</xsl:if>
 
 	<xsl:apply-templates select="Content/*"/>	
Index: /trunk/gsdl-documentation/manuals/processing/xml-to-one-html.xsl
===================================================================
--- /trunk/gsdl-documentation/manuals/processing/xml-to-one-html.xsl	(revision 13784)
+++ /trunk/gsdl-documentation/manuals/processing/xml-to-one-html.xsl	(revision 13785)
@@ -15,5 +15,5 @@
       <head>
       <title><xsl:value-of select="Title/Text"/></title>
-      <link rel="stylesheet" href="../style.css" type="text/css"/>
+      <link rel="stylesheet" href="../../style.css" type="text/css"/>
       </head>
     <body>
@@ -24,5 +24,9 @@
 			<xsl:apply-templates select="Author"/>
 			<xsl:apply-templates select="Affiliation"/>
+			
+			<div class="indexlink"><a href="../../index.html"><xsl:value-of select="/Manual/SupplementaryText/Text[@id='top_index']"/></a></div>
+			
 			<xsl:apply-templates select="Text"/>
+			
 			<xsl:apply-templates select="Comment"/>
 			<xsl:call-template name="version_and_date"/>		