Index: /trunk/gsdl3/README-CVS.txt
===================================================================
--- /trunk/gsdl3/README-CVS.txt	(revision 13848)
+++ /trunk/gsdl3/README-CVS.txt	(revision 13849)
@@ -53,10 +53,13 @@
 3. Install for the first time, with CVS done outside of Ant (if you have problems running CVS commands from Ant):
 cvs co -P greenstone3
-cd greenstone3/src/packages
-cvs co mgpp
-cd ../..
-[if you want greenstone 2 building:
+cd greenstone3
+[if you want collection building:
 cvs co -P gli
 cvs co -P gs2build
+]
+[if you didn't want collection building
+cd src/packages
+cvs co indexers
+cd ../../
 ]
 [if you are on windows
Index: /trunk/gsdl3/README.txt
===================================================================
--- /trunk/gsdl3/README.txt	(revision 13848)
+++ /trunk/gsdl3/README.txt	(revision 13849)
@@ -17,5 +17,4 @@
 ---------------------------------------------------------
 
-[TODO: check once release is done]
 Download the appropriate installer from sourceforge.net/projects/greenstone3 and run it. 
 
@@ -27,13 +26,11 @@
 ---------------------------------------------------------
 
-To start up the local Tomcat server, run 'ant start'. 
-'ant restart' and 'ant stop' restarts and shuts down the server. 
-This will only start/stop a local server (one installed by Greenstone). You will need to manually start/stop external Tomcat. 
+To start up Greenstone, select Greenstone 2 Digital Library from the Start menu (Windows), or run gs3-server.sh/bat. This launches a small server program, which starts up Tomcat and launches a browser. A small window pops up which allows you to chnage some settings for your library and restart the Tomcat server. Closing this program will stop Tomcat running.
+
+Alternatively, you can start Tomcat directly through using Ant. 'ant start', 'ant restart' and 'ant stop' starts, restarts and shuts down Tomcat, respectively. This will only start/stop a local server (one installed by Greenstone). You will need to manually start/stop an external Tomcat (see below for notes about using a version of Tomcat external to Greenstone).
 
 Once the Tomcat server is running, Greenstone will be available in a browser at "http://localhost:8080/greenstone3" (or whatever port you specified during the 
 installation process).
-You can change the port number by changing the 'tomcat.port' property in build.properties, then running 'ant configure'.
-
-[TODO: notes about running server program]
+You can change the port number using File->Settings in the server program, or by changing the 'tomcat.port' property in build.properties, then running 'ant configure'.
 
 Building Collections:
@@ -48,8 +45,10 @@
 Note that GLI doesn't start up the Greenstone Tomcat server so you should 
 run 'ant start' before previewing your collection.
+
+
 Greenstone Admin
 ------------------------------------------------------
 
-[TODO: notes about admin tool]
+The Greenstone admin tool is currently under development.
 
 Using SOAP:
@@ -62,5 +61,5 @@
 To set up a SOAP server on a new site, run
 ant soap-deploy-site
-This will prompt you for the sitename (the directory name), and the site uri - this should be a unique identifier for the site's web service.
+This will prompt you for the sitename (the directory name), and the site uri - this should be a unique identifier for the site's web service. 
 
 For a non-interactive version, run
@@ -70,4 +69,5 @@
 (or http://<computer-web-address>:<port>/greenstone3/services/<siteuri>)
 
+Note: Deploying a SOAP service for any site other than localsite requires the Greenstone source code to be installed. This is not installed by default for a binary distribution. To get the source code, re-run the installer, select custom install and deselect everything except the source code.
 
 Using External Tomcat:
@@ -75,5 +75,5 @@
 
 If you want to use an existing Tomcat, set the path to its base directory
-in build.properties (tomcat.installed.path) 
+in build.properties (tomcat.installed.path). Also set the tomcat.port property to be the port you are running Tomcat on, and change tomcat.server if the web address is not localhost. Then run 'ant configure'.
 
  You will need to modify the Tomcat setup slightly.
@@ -81,5 +81,5 @@
 1. Tell Tomcat about the Greenstone web app. There are two ways to do this.
 
-A. Copy the file greenstone3/resources/tomcat/greenstone3.xml into Tomcat's conf/Catalina/localhost directory. You'll need to edit the file and replace @gsdl3webdir@ with the full path to the web directory of your greenstone 3 installation. Any path separator is fine here ('/', '\\', '\').
+A. Copy the file greenstone3/resources/tomcat/greenstone3.xml into Tomcat's conf/Catalina/localhost directory. You'll need to edit the file and replace @gsdl3webhome@ with the full path to the web directory of your greenstone 3 installation. Any path separator is fine here ('/', '\\', '\').
 
 B. Alternatively, you can move (and rename) the greenstone3/web directory to tomcat/webapps/greenstone3 (i.e. the resulting directories will be like
@@ -89,5 +89,5 @@
 i.e.
 web.home=${tomcat.installed.path}/webapps/greenstone3
-And then run 'ant configure-web' to reset gsdl3home.
+And then run 'ant configure' to reset gsdl3home.
 
 2. Set up the JNI libraries and Java wrappers.
@@ -188,9 +188,7 @@
 ant compile
 
-The compile target, under GNU/Linux and Mac OS X, does Java and C/C++ compilation. For Windows, since Visual Studio is not a standard component, only Java compilation is carried out. Pre-compiled binaries are provided for the C/C++ components (src/packages and Greenstone 2 style building). If you have Visual Studio installed (version 6), you can run the compile-windows-c++ targets to compile the code locally. (Don't forget to setup the Visual Studio environment first, by running, e.g. C:/Program Files/Microsoft Visual Studio/VC98/Bin/VCVARS32.BAT or equivalent.)
+The compile target does Java and C/C++ compilation. On Windows, you need to set the compile.windows.c++.setup property to be your Visual Studio setup batch file. 
 
 Any sub targets can be run by themselves. Run 'ant -projecthelp' for a list of public targets, otherwise you can look at the build.xml file to see which targets depend on other ones.
-
-If you run your install using an external Tomcat, the SOAP web service for localsite (used by the gateway servlet) will not be loaded. You need to start up Tomcat, then run 'ant soap-deploy-site' and accept the defaults for sitename and siteuri (both localsite). If you want to use the gateway servlet without restarting Tomcat, you will need to reload the site information. Visit the URL http://localhost:8080/greenstone3/gateway?a=s&sa=c  (substituting your server name and port number if necessary). See the user guide for more information about run time reconfiguration.
 
 