Index: trunk/gsdl3/web/sites/localsite/collect/gs2mgppdemo/etc/collect.cfg
===================================================================
--- trunk/gsdl3/web/sites/localsite/collect/gs2mgppdemo/etc/collect.cfg	(revision 11270)
+++ trunk/gsdl3/web/sites/localsite/collect/gs2mgppdemo/etc/collect.cfg	(revision 13857)
@@ -3,18 +3,25 @@
 public		true
 
-searchtype	form plain
+buildtype	mgpp
+
+format SearchTypes "form,plain"
 
 indexes		allfields text dls.Title dls.Subject dls.Organization
 
-levels		section document
+levels	section document
 
-plugin		GAPlug 
-plugin		HTMLPlug -description_tags 
-plugin		ArcPlug 
-plugin		RecPlug -use_metadata_files 
+indexoptions	accentfold casefold stem
 
-classify	AZList -metadata dls.Title 
-classify	Hierarchy -metadata dls.Subject -sort dls.Title 
-classify	AZCompactList -metadata dls.Organization -sort dls.Title -buttonname Organization -mingroup 1 
+defaultlevel	document
+
+plugin		GAPlug
+plugin		HTMLPlug -description_tags
+plugin		MetadataXMLPlug
+plugin		ArcPlug
+plugin		RecPlug
+
+classify	AZList -metadata dls.Title
+classify	Hierarchy -metadata dls.Subject -sort dls.Title
+classify	AZCompactList -metadata dls.Organization -sort dls.Title -mingroup 1 -buttonname Organization
 classify	List -metadata dls.Keyword -buttonname Howto
 
@@ -27,13 +34,23 @@
 format CL4VList "<td>[link][dls.Keyword][/link]</td>"
 
+format VList "<td valign=\"top\">[link][icon][/link]</td>
+<td valign=\"top\">[ex.srclink]{Or}{[ex.thumbicon],[ex.srcicon]}[ex./srclink]</td>
+<td valign=\"top\">[highlight]
+{Or}{[dc.Title],[exp.Title],[ex.Title],Untitled}
+[/highlight]{If}{[ex.Source],<br><i>([ex.Source])</i>}</td>"
+
+format HList "[link][highlight][ex.Title][/highlight][/link]"
+
+format DocumentHeading "{Or}{[parent(Top):Title],[Title],untitled}<br>"
+
 collectionmeta	iconcollectionsmall [l=en] "_httpprefix_/collect/gs2mgppdemo/images/gs2mgppdemo_sm.gif"
 collectionmeta	iconcollection [l=en] "_httpprefix_/collect/gs2mgppdemo/images/gs2mgppdemo.gif"
 
 collectionmeta	collectionname [l=en] "Greenstone2 MGPP demo collection"
-collectionmeta	collectionextra [l=en] "This is a demonstration collection 
-for the Greenstone3 digital library software. It contains a small subset 
-(11 books) of the Humanitarian and Development Libraries. It is a Greenstone2 
-collection, built with MGPP, which provides form based searching. 
-The Greenstone2 configuration files have been converted to Greenstone3 
+collectionmeta	collectionextra [l=en] "This is a demonstration collection
+for the Greenstone3 digital library software. It contains a small subset
+(11 books) of the Humanitarian and Development Libraries. It is a Greenstone2
+collection, built with MGPP, which provides form based searching.
+The Greenstone2 configuration files have been converted to Greenstone3
 equivalents, enabling it to be served using Greenstone3."
 
Index: trunk/gsdl3/web/sites/localsite/collect/gs2mgppdemo/etc/collectionConfig.xml
===================================================================
--- trunk/gsdl3/web/sites/localsite/collect/gs2mgppdemo/etc/collectionConfig.xml	(revision 11270)
+++ trunk/gsdl3/web/sites/localsite/collect/gs2mgppdemo/etc/collectionConfig.xml	(revision 13857)
@@ -1,10 +1,11 @@
 <collectionConfig xmlns:gsf="http://www.greenstone.org/greenstone3/schema/ConfigFormat" xmlns:xsl="http://www.w3.org/1999/XSL/Transform">
-<metadataList>
-<metadata name="creator">greenstone@cs.waikato.ac.nz</metadata>
+  <metadataList>
+    <metadata name="creator">greenstone@cs.waikato.ac.nz</metadata>
+    <metadata name="public">true</metadata>
   </metadataList>
   <displayItemList>
-    <displayItem name="description" lang="en">This is a demonstration collection  for the Greenstone3 digital library software. It contains a small subset  (11 books) of the Humanitarian and Development Libraries. It is a Greenstone2 collection, built with MGPP, which provides form based searching. The Greenstone2 configuration files have been converted to Greenstone3 equivalents, enabling it to be served using Greenstone3.</displayItem>\n<displayItem name="smallicon" lang="en">gs2mgppdemo_sm.gif</displayItem>
+    <displayItem name="description" lang="en">This is a demonstration collection for the Greenstone3 digital library software. It contains a small subset (11 books) of the Humanitarian and Development Libraries. It is a Greenstone2 collection, built with MGPP, which provides form based searching. The Greenstone2 configuration files have been converted to Greenstone3 equivalents, enabling it to be served using Greenstone3.</displayItem>
+    <displayItem name="smallicon" lang="en">gs2mgppdemo_sm.gif</displayItem>
     <displayItem name="icon" lang="en">gs2mgppdemo.gif</displayItem>
-    <displayItem name="smallicon" lang="en">gs2mgppdemo_sm.gif</displayItem>
     <displayItem name="name" lang="en">Greenstone2 MGPP demo collection</displayItem>
   </displayItemList>
@@ -14,10 +15,25 @@
     <format>
       <gsf:template match="documentNode">
-	<td valign='top'><gsf:link><gsf:icon/></gsf:link></td>
-	<td><gsf:switch><gsf:metadata name='Title' select='ancestors' separator=': '/><gsf:when test='exists'><gsf:metadata name='Title' select='ancestors' separator=': '/>: </gsf:when></gsf:switch><gsf:link><gsf:metadata name='Title' /></gsf:link></td>
+	<td valign='top'><gsf:link type='document'><gsf:icon type='document'/></gsf:link></td>
+	<td><gsf:switch><gsf:metadata name='Title' select='ancestors' separator=': ' /><gsf:when test='exists' ><gsf:metadata name='Title' select='ancestors' separator=': ' />:</gsf:when></gsf:switch><gsf:link type='document'><gsf:metadata name='Title' /></gsf:link></td>
       </gsf:template>
     </format>
   </search>
   <browse>
+    <format>
+      <gsf:template match="documentNode">
+	<td valign="top"><gsf:link type='document'><gsf:icon type='document'/></gsf:link></td>
+	<td valign="top"><gsf:metadata name='srclink' /><gsf:choose-metadata><gsf:metadata name='thumbicon' /><gsf:metadata name='srcicon' /></gsf:choose-metadata><gsf:metadata name='/srclink' /></td>
+	<td valign="top"> <gsf:choose-metadata><gsf:metadata name='dc.Title' /><gsf:metadata name='exp.Title' /><gsf:metadata name='Title' /><gsf:default>Untitled</gsf:default></gsf:choose-metadata> <gsf:switch><gsf:metadata name='Source' /><gsf:when test='exists' ><br /><i>(<gsf:metadata name='Source' />)</i></gsf:when></gsf:switch></td>
+      </gsf:template>
+      <gsf:template match="classifierNode">
+	<td valign="top"><gsf:link type='classifier'><gsf:icon type='classifier'/></gsf:link></td> 
+	<td valign="top"><gsf:metadata name='srclink' /><gsf:choose-metadata><gsf:metadata name='thumbicon' /><gsf:metadata name='srcicon' /></gsf:choose-metadata><gsf:metadata name='/srclink' /></td> 
+	<td valign="top"> <gsf:choose-metadata><gsf:metadata name='dc.Title' /><gsf:metadata name='exp.Title' /><gsf:metadata name='Title' /><gsf:default>Untitled</gsf:default></gsf:choose-metadata> <gsf:switch><gsf:metadata name='Source' /><gsf:when test='exists' ><br /><i>(<gsf:metadata name='Source' />)</i></gsf:when></gsf:switch></td>
+      </gsf:template>
+      <gsf:template match="classifierNode" mode="horizontal">
+	<gsf:link type='horizontal'><gsf:metadata name='Title' /></gsf:link>
+      </gsf:template>
+    </format>
     <classifier name="CL1">
     </classifier>
@@ -29,5 +45,8 @@
       <format>
 	<gsf:template match="documentNode">
-	  <td><gsf:link><gsf:metadata name='dls.Keyword' /></gsf:link></td>
+	  <td><gsf:link type='document'><gsf:metadata name='dls.Keyword' /></gsf:link></td>
+	</gsf:template>
+	<gsf:template match="classifierNode">
+	  <td><gsf:link type='classifier'><gsf:metadata name='dls.Keyword' /></gsf:link></td>
 	</gsf:template>
       </format>
Index: trunk/gsdl3/web/sites/localsite/collect/gs2mgppdemo/gs2mgppdemo.col
===================================================================
--- trunk/gsdl3/web/sites/localsite/collect/gs2mgppdemo/gs2mgppdemo.col	(revision 11270)
+++ trunk/gsdl3/web/sites/localsite/collect/gs2mgppdemo/gs2mgppdemo.col	(revision 13857)
@@ -13,5 +13,5 @@
 <GathererCollection>
     <Argument name="built">false</Argument>
-    <Argument name="imported">false</Argument>
+    <Argument name="imported">true</Argument>
     <GathererConfig/>
     <BuildConfig>
Index: trunk/gsdl3/web/sites/localsite/collect/gs2mgppdemo/index/buildConfig.xml
===================================================================
--- trunk/gsdl3/web/sites/localsite/collect/gs2mgppdemo/index/buildConfig.xml	(revision 11270)
+++ trunk/gsdl3/web/sites/localsite/collect/gs2mgppdemo/index/buildConfig.xml	(revision 13857)
@@ -5,35 +5,42 @@
   </metadataList>
   <serviceRackList>
+    <serviceRack name="GS2MGPPRetrieve">
+      <defaultLevel name="Sec"/>
+      <indexStem name="gs2mgppdemo"/>
+    </serviceRack>
     <serviceRack name="GS2Browse">
+      <indexStem name="gs2mgppdemo"/>
       <classifierList>
-	<classifier name="CL1" content="Title"/>
-	<classifier name="CL2" content="Subject" />
-	<classifier name="CL3" content="Organization" />
-	<classifier name="CL4" content="Howto" />
+	<classifier name="CL1" content="dls.Title"/>
+	<classifier name="CL2" content="dls.Subject"/>
+	<classifier name="CL3" content="Organization"/>
+	<classifier name="CL4" content="Howto"/>
       </classifierList>
-    </serviceRack>      
-    <serviceRack name="GS2MGPPRetrieve">
-      <defaultLevel name="Sec" />
     </serviceRack>
     <serviceRack name="GS2MGPPSearch">
-      <defaultLevel name="Sec" />
+      <defaultLevel name="Sec"/>
       <levelList>
-	<level name="Sec" />
-	<level name="Doc" />
+	<level name="Sec"/>
+	<level name="Doc"/>
       </levelList>
       <fieldList>
-	<field shortname="ZZ" name="allfields" />
-	<field shortname="TX" name="text" />
-	<field shortname="DL" name="dls.Title" />
-	<field shortname="DS" name="dls.Subject" />
-	<field shortname="DO" name="dls.Organization" />
+	<field shortname="ZZ" name="allfields"/>
+	<field shortname="TX" name="text"/>
+	<field shortname="DL" name="dls.Title"/>
+	<field shortname="DS" name="dls.Subject"/>
+	<field shortname="DO" name="dls.Organization"/>
       </fieldList>
       <searchTypeList>
-	<searchType name="form" />
-	<searchType name="plain" />
+	<searchType name="form"/>
+	<searchType name="plain"/>
       </searchTypeList>
-      <defaultIndex name="idx" />
+      <indexStem name="gs2mgppdemo"/>
+      <indexOptionList>
+	<indexOption name="stemIndexes" value="7"/>
+	<indexOption name="maxnumeric" value="4"/>
+      </indexOptionList>
+      <defaultIndex name="idx"/>
       <indexList>
-	<index name="idx" />
+	<index name="idx"/>
       </indexList>
     </serviceRack>