Index: trunk/gsdl-documentation/manuals/xml-source/fr/Develop_fr.xml
===================================================================
--- trunk/gsdl-documentation/manuals/xml-source/fr/Develop_fr.xml	(revision 13867)
+++ trunk/gsdl-documentation/manuals/xml-source/fr/Develop_fr.xml	(revision 13868)
@@ -19,5 +19,5 @@
 <Text id="5">Greenstone est une suite logicielle destinÃ©e Ã  la construction et Ã  la distribution de collections de bibliothÃšques numÃ©riques. Cette suite fournit une nouvelle maniÃšre d'organiser l'information et de la publier sur l'Internet ou sur un cÃ©dÃ©rom. Greenstone est produit par le projet de bibliothÃšque numÃ©rique de Nouvelle-ZÃ©lande (dÃ©pendant de l'universitÃ© de Waikato), et distribuÃ© en coopÃ©ration avec l'UNESCO et le projet de bibliothÃšques pour l'humanitÃ©. C'est un logiciel Open Source, qu'on peut obtenir Ã  l'URLhttp://greenstone.org, et qui est diffusÃ© selon les termes de la licence publique gÃ©nÃ©rale de GNU.</Text>
 <Comment>
-<Text id="6">Nous souhaitons nous assurer que ce logiciel fonctionne bien pour vous.<br/>Faites-nous part, en anglais, de tout problÃšme Ã  l'adresse Ã©lectronique<br/>.</Text>
+<Text id="6">Nous souhaitons nous assurer que ce logiciel fonctionne bien pour vous.<br/>Faites-nous part, en anglais, de tout problÃšme Ã  l'adresse Ã©lectronique.</Text>
 </Comment>
 <Version>
Index: trunk/gsdl-documentation/manuals/xml-source/fr/Install_fr.xml
===================================================================
--- trunk/gsdl-documentation/manuals/xml-source/fr/Install_fr.xml	(revision 13867)
+++ trunk/gsdl-documentation/manuals/xml-source/fr/Install_fr.xml	(revision 13868)
@@ -19,5 +19,5 @@
 <Text id="5">Greenstone est une suite logicielle destinÃ©e Ã  la construction et Ã  la distribution de collections de bibliothÃšques numÃ©riques. Cette suite fournit une nouvelle maniÃšre d'organiser l'information et de la publier sur l'Internet ou sur un cÃ©dÃ©rom. Greenstone est produit par le projet de bibliothÃšque numÃ©rique de Nouvelle-ZÃ©lande (dÃ©pendant de l'universitÃ© de Waikato), et distribuÃ© en coopÃ©ration avec l'UNESCO et le projet de bibliothÃšques pour l'humanitÃ©. C'est un logiciel Open Source, qu'on peut obtenir Ã  l'URLhttp://greenstone.org, et qui est diffusÃ© selon les termes de la licence publique gÃ©nÃ©rale de GNU.</Text>
 <Comment>
-<Text id="6">Nous souhaitons nous assurer que ce logiciel fonctionne bien pour vous.<br/>Faites-nous part, en anglais, de tout problÃšme Ã  l'adresse Ã©lectronique<br/>.</Text>
+<Text id="6">Nous souhaitons nous assurer que ce logiciel fonctionne bien pour vous.<br/>Faites-nous part, en anglais, de tout problÃšme Ã  l'adresse Ã©lectronique.</Text>
 </Comment>
 <Version>
Index: trunk/gsdl-documentation/manuals/xml-source/fr/Paper_fr.xml
===================================================================
--- trunk/gsdl-documentation/manuals/xml-source/fr/Paper_fr.xml	(revision 13867)
+++ trunk/gsdl-documentation/manuals/xml-source/fr/Paper_fr.xml	(revision 13868)
@@ -19,5 +19,5 @@
 <Text id="5">Greenstone est une suite logicielle destinÃ©e Ã  la construction et Ã  la distribution de collections de bibliothÃšques numÃ©riques. Cette suite fournit une nouvelle maniÃšre d'organiser l'information et de la publier sur l'Internet ou sur un cÃ©dÃ©rom. Greenstone est produit par le projet de bibliothÃšque numÃ©rique de Nouvelle-ZÃ©lande (dÃ©pendant de l'universitÃ© de Waikato), et dÃ©veloppÃ© et distribuÃ© en coopÃ©ration avec l'UNESCO et l'ONG Human Info.C'est un logiciel Open Source, diffusÃ© selon les termes de la licence publique gÃ©nÃ©rale de GNU, et qu'on peut obtenir Ã  l'URLhttp://greenstone.org.</Text>
 <Comment>
-<Text id="6">Nous souhaitons nous assurer que ce logiciel fonctionne bien pour vous. Faites-nous part, en anglais, de tout problÃšme Ã  l'adresse Ã©lectronique.</Text>
+<Text id="6">Nous souhaitons nous assurer que ce logiciel fonctionne bien pour vous.<br/> Faites-nous part, en anglais, de tout problÃšme Ã  l'adresse Ã©lectronique.</Text>
 </Comment>
 <Version>