Index: /trunk/gsdl/macros/gaelic.dm
===================================================================
--- /trunk/gsdl/macros/gaelic.dm	(revision 13935)
+++ /trunk/gsdl/macros/gaelic.dm	(revision 13936)
@@ -61,6 +61,8 @@
 # this is only used by the collector (where the above _collectionextra_
 # macro will always be set to another value)
-_collectorextra_ [l=gd] {<p>Tha an cho-chuinneachadh seo a' toirt a-steach _numdocs_ _If_("_numdocs_" eq "1",sgrÃ¬obhainn,sgrÃ¬obhainnean),  _numbytes_gu lÃšir.
-<p><a href="_httppagex_(bsummary)">Put a seo</a>aithghearr thogail do 'n cho-chruinneachadh seo fhaicinn.}  # Updated 12-Dec-2006 by gdmaintainer
+_collectorextra_ [l=gd] {<p>Tha an co-chruinneachadh seo aâ toirt a-steach _numdocs_ _If_("_numdocs_" eq "1",sgrÃ¬obhainn,sgrÃ¬obhainnean),  _numbytes_gu lÃšir.
+<p><a href="_httppagex_(bsummary)">Put an seo</a>airson cunntas den
+cho-chruinneachadh seo fhaicinn.
+}  # Updated 20-Feb-2007 by gdmaintainer
 
 _textdescrcollection_ [l=gd] {}
@@ -188,9 +190,9 @@
 _magazines_ [l=gd] {Irisean}  # Updated 3-Feb-2006
 
-_nzdlpagefooter_ [l=gd] {<div class="divbar">&nbsp;</div>
+_nzdlpagefooter_ [l=gd] {<div class="divbar">Â </div>
 <p><a href="http://www.nzdl.org">New Zealand Digital Library Project</a>
 <br><a href="http://www.cs.waikato.ac.nz">Department of Computer Science</a>, 
 <a href="http://www.waikato.ac.nz">University of Waikato</a>, 
-New Zealand}  # Updated 3-Feb-2006
+New Zealand}  # Updated 20-Feb-2007 by gdmaintainer
 
 _linktextHOME_ [l=gd] {DACHAIGH}  # Updated 15-Sep-2006 by gdmaintainer
@@ -229,5 +231,5 @@
 
 # -- Missing translation: _textcollector_
-# -- Missing translation: _textdescrcollector_
+_textdescrcollector_ [l=gd] {Bha seo ann ro eadar-aghaidh an leabharlannaiche, agus sa mhÃ²r-chuid de shuidheachaidhean  âs e eadar-aghaidh an leabharlannaiche bu chÃ²ir a chleachdadh}  # Updated 20-Feb-2007 by gdmaintainer
 
 package depositor
@@ -239,5 +241,5 @@
 
 # -- Missing translation: _textgti_
-# -- Missing translation: _textdescrtranslator_
+_textdescrtranslator_ [l=gd] {Gad chuideachadh aâ cumail dreachan iom-chÃ nanach eadar-aghaidh Greenstone Ã¹raichte}  # Updated 20-Feb-2007 by gdmaintainer
 
 
@@ -625,6 +627,5 @@
 _textdatesearch_ [l=gd] {A' lorg le cinn-latha}  # Updated 3-Feb-2006
 
-_texthelpdatesearch_ [l=gd] {Leigidh lorg cinn-latha leat sgrÃ¬obhainnean fhaighinn a sheisich do theirmean luirg agus air tachartasan bho Ã m Ã raid.  'S urrainn dhut sgrÃ¬obhainnean lorg bho bhliadhna Ã raid no bho shreath bhliadhnaichean.  Mothaich nach eil feum agad teirmean luirg chleachdadh -- 's urrainn dhut lorg le ceann-latha a-mhain; mothaich cuideachd nach eil feum agad cinn-latha chleachdadh anns do lorg, mura cuir thu cinn-latha ann, bhiodh e mar nach biodh an lorg cinn-latha ann idir.<p>
-}
+_texthelpdatesearch_ [l=gd] {Bheir lorg cinn-latha cothrom dhut sgrÃ¬obhainnean fhaighinn, a tha, a thuilleadh air a bhith aâ maidseadh do lorg, mu thachartasan bho Ã m sÃ²nraichte. Gheibh thu air lorg airson sgrÃ¬obhainnean bho bhliadhna shÃ²nraichte no bho sreath bhliadhnaichean. Bi mothachail nach leig thu a leas teirmean luirg a chleachdadh â faodaidh tu lorg le ceann-latha a-mhÃ in; mothaich cuideachd nach leig thu a leas cinn-latha a chleachdadh na do lorg, mura cuir thu cinn-latha a-steach tha e mar nach biodh an lorg cinn-latha ann idir.<p>}  # Updated 20-Feb-2007 by gdmaintainer
 
 _texthelpdatehowtotitle_ [l=gd] {Ciamar a chleachdadh an goireas seo:}
@@ -657,15 +658,14 @@
 
 _texthelpcollectionprefstitle_ [l=gd] {Roghainnean cho-chruinneachaidh}
-_texthelpcollectionprefs_ [l=gd] {Tha co-chruinneachaidhean ann a tha air an deanamh le iomadh fo-chruinneachadh, a gabhadh lorg leotha fhÃ©in no ri chÃšile, mar ionad. Ma bhios tu airson sin a dheanamh, 's urrainn dhut fo-chruinneachaidhean a thaghadh air an Duilleig roghainnean.
-}  # Updated 12-Dec-2006 by gdmaintainer
+_texthelpcollectionprefs_ [l=gd] {Tha cuid de cho-chruinneachaidhean anns a bheil grunn fo-chruinneachaidhean, agus dhâfhaodar lorg air an son air leth no cÃ²mhla, mar ionad. Ma bhios tu airson sin a dhÃšanamh, faodaidh tu na fo-chruinneachaidhean a tha thu airson a lorg a thaghadh air an duilleig Roghainnean.}  # Updated 20-Feb-2007 by gdmaintainer
 
 _texthelplanguageprefstitle_ [l=gd] {Roghainnean cÃ nain}  # Updated 21-Jun-2006
-_texthelplanguageprefs_ [l=gd] {Tha cÃ nan taisbeanadh tÃ²iseachaidh aig gach co-chruinneachadh, ach 's urrainn dhut atharrachadh do chÃ nan eile ma thogras tu. 'S urrainn dhut an innleachd-chÃ²d cleachdte le Greenstone atharrachadh cuideachd. Taghaidh am bathar-bog roimh-suidheachaidhean freagarrach, ach le cuid shealladairean gheibhear builean fradharcach nas fheÃ rr le atharrachadh gu innleachd-chÃ²d eile. 'S urrainn dhut atharrachadh bho 'n eadar-aghaidh grafail suidhichte gu eadar-aghaidh teacsail ann an co-chruinneachadh sam bith. Tha sin feumail gu h-Ã raidh do luchd-cleachdaidh le ciorram fradharach.}  # Updated 12-Dec-2006 by gdmaintainer
+_texthelplanguageprefs_ [l=gd] {Tha cÃ nan tÃ²iseachadh taisbeanaidh aig gach co-chruinneachadh, ach faodadh tu atharrachadh gu cÃ nan eile ma thogras tu. Faodaidh tu an innleachd-chÃ²d a tha Greenstone aâ cleachdadh airson toradh a chur gun t-sealladair atharrachadh cuideachd. Taghaidh am bathar-bog ro-shuidheachaidhean freagarrach, ach le cuid a shealladairean gheibhear builean fradharcach nas fheÃ rr le atharrachadh gu innleachd-chÃ²d eile. Tha gach co-chruinneachadh aâ toirt cothrom dhut atharrachadh bhon eadar-aghaidh ghrafail chumanta gu eadar-aghaidh theacsail.  Tha sin feumail gu h-Ã raidh do luchd-cleachdaidh le ciorram fradharcach a bhios aâ cleachdadh clÃ²-sgrion mÃ²r no siontasaiseirean cainnte airson toradh. }  # Updated 20-Feb-2007 by gdmaintainer
 
 _texthelppresentationprefstitle_ [l=gd] {Roghainnean taisbeanaidh}
-_texthelppresentationprefs_ [l=gd] {A rÃšir a' cho-chruinneachaidh, theagamh gum bi caochladh de roghainnean ann airson smachd a chur air an taisbeanan.
-
-<p>Leigidh co-chruinneachaidhean duilleagan an lÃ¬n leat an "navigation bar" Greenstone aig ceann gach duilleig sgrÃ¬obhainn a chumail fodha, 's mar sin nuair a tha thu air lorg a dheanamh ruigidh tu air an dearbh duilleag lÃ¬n a sheisich gun cheann-sgrÃ¬obhaidh Greenstone sam bith. Feumaidh tu putan "air ais" a chleachdadh airson lorg eile a dheanamh. Leigidh na co-chruinneachaidhean seo leat cuideachd an teachdaireachd rabhaidh Greenstone a chumail fodha nuair a phutas tu air ceangal a bheir thu a-mach as a' cho-chruinneachadh leabharlainn digiteach agus a dhol a-steach do 'n lÃ¬n-fhÃ©in. 'S urrainn dhut riaghladh ann an cuid cho-chruinneachaidhean-lÃ¬n am bheir na ceangail air an duilleag "Search results" thu dÃ¬reach do 'n URL-fhÃ©in, an Ã ite do leth-breach na duilleige aig an leabharlann digiteach.
-}  # Updated 21-Jun-2006
+_texthelppresentationprefs_ [l=gd] {A rÃšir aâ cho-chruinneachaidh, dhâfhaodadh gum bi grunn roghainnean ann airson smachd a chur air an taisbeanadh.
+
+<p>Bheir co-chruinneachaidhean de dhuilleagan-lÃ¬n cothrom dhut crann-stiÃ¹iridh Greenstone aig mullach gach duilleig sgrÃ¬obhainn a chumail fodha, âs mar sin nuair a tha thu air lorg a dhÃšanamh ruigidh tu air an dearbh dhuilleig lÃ¬n a tha aâ maidseadh, gun ceann-sgrÃ¬obhaidh Greenstone sam bith. Feumaidh tu am putan âair aisâ a chleachdadh airson lorg eile a dhÃšanamh. Bheir na co-chruinneachaidhean seo cuideachd cothrom dhut teachdaireachd rabhaidh Greenstone a chumail fodha nuair a phutas tu air ceangal a bheir thu a-mach Ã s aâ cho-chruinneachadh leabharlainn didseataich agus a-steach don eadarlÃ¬on fhÃšin. Agus, ann an cuid de cho-chruinneachaidhean-lÃ¬n, faodaidh smachd a bhith agad mu an toir na ceangail air an duilleig âToraidhean-luirgâ thu dÃ¬reach don URL-fhÃšin, an Ã ite gu lethbreac na duilleige aig an leabharlann didseatach.
+}  # Updated 20-Feb-2007 by gdmaintainer
 
 _texthelpsearchprefstitle_ [l=gd] {Roghainnean luirg}