Index: trunk/gsdl/macros/marathi.dm
===================================================================
--- trunk/gsdl/macros/marathi.dm	(revision 13936)
+++ trunk/gsdl/macros/marathi.dm	(revision 13937)
@@ -328,6 +328,19 @@
 _textNOHIGHLIGHT_ [l=mr] {à€ à€³à€ à€šà€à¥}  # Updated 27-Oct-2006 by shubha
 
+_textPRINT_ [l=mr] {à€ªà¥à€°à€€ }  # Updated 16-Dec-2006 by shubha
+
 _textnextsearchresult_ [l=mr] {à€ªà¥à€¢à¥à€² à€¶à¥à€§}  # Updated 29-Nov-2006 by shubha
 _textprevsearchresult_ [l=mr] {à€à€§à¥à€à¥ à€¶à¥à€§}  # Updated 29-Nov-2006 by shubha
+
+# macros for printing page
+_textreturnoriginal_ [l=mr] {à€®à¥à€³ à€ªà€Ÿà€šà€Ÿà€µà€° à€à€Ÿ
+}  # Updated 16-Dec-2006 by shubha
+_textprintpage_ [l=mr] {à€¹à¥ à€ªà€Ÿà€š à€ªà¥à€°à€¿à€à€ à€à€°à€Ÿ
+
+}  # Updated 16-Dec-2006 by shubha
+_textshowcontents_ [l=mr] {à€®à€à€à¥à€° à€Šà€Ÿà€à€µà€Ÿ}  # Updated 16-Dec-2006 by shubha
+_texthidecontents_ [l=mr] {à€
+à€šà¥à€à¥à€°à€®à€£à€¿à€à€Ÿ à€Šà€Ÿà€à€µà¥ à€šà€à€Ÿ
+}  # Updated 16-Dec-2006 by shubha
 
 ######################################################################
Index: trunk/gsdl/macros/marathi2.dm
===================================================================
--- trunk/gsdl/macros/marathi2.dm	(revision 13936)
+++ trunk/gsdl/macros/marathi2.dm	(revision 13937)
@@ -923,4 +923,11 @@
 _textgtiselecttlc_ [l=mr] {à€à¥à€ªà€¯à€Ÿ à€€à¥à€®à€à¥à€¯à€Ÿ à€­à€Ÿà€·à¥à€à¥ à€šà€¿à€µà€¡ à€à€°à€Ÿ}  # Updated 2-Nov-2006 by shubha
 
+#for status page
+# -- Missing translation: _textgtiviewstatus_
+# -- Missing translation: _textgtiviewstatusbutton_
+# -- Missing translation: _textgtistatustable_
+_textgtilanguage_ [l=mr] {à€­à€Ÿà€·à€Ÿ}  # Updated 31-Jan-2007 by shubha
+# -- Missing translation: _textgtitotalnumberoftranslations_
+
 _textgtiselecttfk_ [l=mr] {à€à€Ÿà€°à¥à€¯ à€à¥à€£à€€à¥à€¯à€Ÿ à€«à€Ÿà€à€² à€µà€° à€à€°à€Ÿà€µà€¯à€Ÿà€à¥ à€€à¥ à€šà€¿à€¶à¥à€à€¿à€€ à€à€°à€Ÿ}  # Updated 2-Nov-2006 by shubha
 
@@ -934,4 +941,10 @@
 _textgtigreenorg_ [l=mr] {à€à¥à€°à¥à€šà€žà¥à€à¥à€š.à€à€°à€à¥}  # Updated 31-Oct-2006 by shubha
 
+#for greenstone manuals
+# -- Missing translation: _textgtidevmanual_
+_textgtiinstallmanual_ [l=mr] {à€à¥à€°à¥à€šà€žà¥à€à¥à€š à€¡à€Ÿà€à€šà€²à¥à€¡à€à¥ à€®à€Ÿà€¹à€¿à€€à¥ à€ªà€€à¥à€°à€}  # Updated 31-Jan-2007 by shubha
+# -- Missing translation: _textgtipapermanual_
+# -- Missing translation: _textgtiusermanual_
+
 _textgtienter_ [l=mr] {à€ªà¥à€°à€µà¥à€¶}  # Updated 1-Nov-2006 by shubha
 
@@ -939,4 +952,5 @@
 _textgtidownloadtargetfile_ [l=mr] {à€¡à€Ÿà€à€šà€²à¥à€¡ à€«à€Ÿà€à€²}  # Updated 2-Nov-2006 by shubha
 _textgtiviewtargetfileinaction_ [l=mr] {à€¹à¥ à€«à€Ÿà€à€² à€à¥à€€à¥à€€ à€Šà€Ÿà€à€µà€Ÿ}  # Updated 24-Nov-2006 by shubha
+# -- Missing translation: _textgtitranslatefileoffline_
 
 _textgtinumchunksmatchingquery_ [l=mr] {à€
@@ -946,4 +960,9 @@
 _textgtinumchunksrequiringupdating_ [l=mr] {à€¯à€Ÿ à€ªà¥à€à¥ _à¥§_ à€žà¥à€§à€Ÿà€°à¥à€€ à€à€°à€£à¥ à€à€µà€¶à¥à€¯à€ à€à€¹à¥}  # Updated 2-Nov-2006 by shubha
 _textgtinumchunksrequiringtranslation_ [l=mr] {à€°à€Ÿà€¹à€¿à€²à¥à€²à¥ à€­à€Ÿà€·à€Ÿà€à€€à€°}  # Updated 1-Nov-2006 by shubha
+
+#for status page
+_textgtinumchunkstranslated2_ [l=mr] {à€­à€Ÿà€·à€Ÿà€à€€à€° à€à€Ÿà€²à¥}  # Updated 31-Jan-2007 by shubha
+# -- Missing translation: _textgtinumchunksrequiringupdating2_
+_textgtinumchunksrequiringtranslation2_ [l=mr] {à€­à€Ÿà€·à€Ÿà€à€€à€° à€à€°à€Ÿà€µà€¯à€Ÿà€à¥ à€à€¹à¥}  # Updated 31-Jan-2007 by shubha
 
 _textgtienterquery_ [l=mr] {à€Šà¥à€°à¥à€žà¥à€€ à€à€°à€Ÿà€µà€¯à€Ÿà€à€Ÿ à€¶à€¬à¥à€Š à€²à€¿à€¹à€Ÿ}  # Updated 24-Nov-2006 by shubha
@@ -961,4 +980,7 @@
 à€€à¥à€®à¥à€¹à¥ à€¹à€¿ à€«à€Ÿà€à€² à€µà€°à¥à€² à€²à€¿à€à€à€µà¥à€Šà€Ÿà€°à¥ à€¡à€Ÿà€à€šà€²à¥à€¡ à€à€°à¥ à€¶à€à€€à€Ÿ,à€à€£à€¿ à€¹à€¿ à€«à€Ÿà€à€² à€à€€à€Ÿ à€­à€µà€¿à€·à¥à€¯à€Ÿà€€ à€¹à€¿ à€ªà€Ÿà€¹à¥}  # Updated 31-Oct-2006 by shubha
 
+# -- Missing translation: _textgtiofflinetranslation_
+
+
 
 ############