Index: /trunk/gsdl/macros/romanian.dm
===================================================================
--- /trunk/gsdl/macros/romanian.dm	(revision 13938)
+++ /trunk/gsdl/macros/romanian.dm	(revision 13939)
@@ -402,5 +402,5 @@
 _textadvancedlucenesearch_ [l=ro] {CÄutare _indexselection__If_(_jselection_, of _jselection_)_If_(_gselection_, at _gselection_ level)_If_(_nselection_, in _nselection_ language)_If_(_sfselection_,\,_allowformbreak_ sortarea rezultatelor dupÄ _sfselection_\,) pentru}  # Updated 10-Feb-2007 by Constantinescu
 
-# -- Missing translation: _textformsimplesearch_
+_textformsimplesearch_ [l=ro] {CautÄ _If_(_jselection_, _jselection_)_If_(_gformselection_, la _gformselection_ level)_If_(_nselection_, in _nselection_ language)_If_(_sfselection_,\, sortÃ¢nd rezultatele dupÄ _sfselection_\,) pentru _formquerytypesimpleselection_ ale}  # Updated 21-Feb-2007 by constantinescu
 
 _textformadvancedsearchmgpp_ [l=ro] {CautÄ _If_(_jselection_,_jselection_ )_If_(_gformselection_,at _gformselection_ level )_If_(_nselection_,in _nselection_ language )Åi afiÅeazÄ rezultatele dupÄ _formquerytypeadvancedselection_ order }  # Updated 10-Feb-2007 by Constantinescu
@@ -486,5 +486,5 @@
 _textlargebox_ [l=ro] {mare}  # Updated 10-Feb-2007 by Constantinescu
 
-# -- Missing translation: _textrelateddocdisplay_
+_textrelateddocdisplay_ [l=ro] {afiÅeazÄ documentele Ã®n relaÅ£ie}  # Updated 21-Feb-2007 by constantinescu
 _textsearchhistory_ [l=ro] {Istoricul cÄutÄrilor:}  # Updated 10-Feb-2007 by Constantinescu
 _textnohistory_ [l=ro] {Nu existÄ istoric de cÄutare}  # Updated 10-Feb-2007 by Constantinescu
@@ -531,5 +531,5 @@
 _textdefaulthelp_ [l=ro] {navigarea printre documente prin _1_ apÄsÃ¢nd butonul _2_}  # Updated 10-Feb-2007 by Constantinescu
 
-# -- Missing translation: _textSearchhelp_
+_textSearchhelp_ [l=ro] {cautÄ anumite cuvinte care apar Ã®n text prin apÄsarea pe butonul _labelSearch_}  # Updated 21-Feb-2007 by constantinescu
 _textTohelp_ [l=ro] {rÄsfoieÅte documentele cu ajutorul cÃ¢mpului To prin apÄsarea lui _labelTo_button}  # Updated 10-Feb-2007 by Constantinescu
 _textFromhelp_ [l=ro] {navigarea printre publicaÅ£ii dupÄ cÃ¢mpul De la prin apÄsarea lui _labelFrom_}  # Updated 10-Feb-2007 by Constantinescu
@@ -605,5 +605,5 @@
 }  # Updated 10-Feb-2007 by Constantinescu
 
-# -- Missing translation: _texthelpquerytypetitle_
+_texthelpquerytypetitle_ [l=ro] {Tipul de interogare}  # Updated 21-Feb-2007 by constantinescu
 _texthelpquerytype_ [l=ro] {<p>ExistÄ douÄ tipuri de interogÄri.
 
Index: /trunk/gsdl/macros/romanian2.dm
===================================================================
--- /trunk/gsdl/macros/romanian2.dm	(revision 13938)
+++ /trunk/gsdl/macros/romanian2.dm	(revision 13939)
@@ -121,5 +121,5 @@
     <a href="_httpdoc_&c=_1_&cl=_cgiargcl_&d=_3_">merge</a> la aceastÄ paginÄ, altfel, folosiÅ£i butonul âbackâ al browserului pentru a vÄ Ã®ntoarce la documentul anterior.
 
-} # Updated 21-Feb-2007 by Constantinescu
+}  # Updated 21-Feb-2007 by Constantinescu
 
 
@@ -233,16 +233,19 @@
 _textdefaultstructure_ [l=ro] {structura iniÅ£ialÄ}  # Updated 21-Feb-2007 by Constantinescu
 _textmore_ [l=ro] {mai departe}  # Updated 21-Feb-2007 by Constantinescu
-# -- Missing translation: _textinfo_
+_textinfo_ [l=ro] {InformaÅ£ii referitoare la colecÅ£ie}  # Updated 21-Feb-2007 by constantinescu
 _textsrce_ [l=ro] {Date sursÄ}  # Updated 21-Feb-2007 by Constantinescu
-# -- Missing translation: _textconf_
+_textconf_ [l=ro] {ConfigureazÄ colecÅ£ia}  # Updated 21-Feb-2007 by constantinescu
 _textdel_ [l=ro] {Återge colecÅ£ia}  # Updated 21-Feb-2007 by Constantinescu
 _textexpt_ [l=ro] {Exporarea colecÅ£iei}  # Updated 21-Feb-2007 by Constantinescu
 
 _textdownloadingfiles_ [l=ro] {Downloadarea fiÅierelor...}  # Updated 21-Feb-2007 by Constantinescu
-# -- Missing translation: _textimportingcollection_
+_textimportingcollection_ [l=ro] {Import colecÅ£ia...}  # Updated 21-Feb-2007 by constantinescu
 _textbuildingcollection_ [l=ro] {Construiesc colecÅ£ia...}  # Updated 21-Feb-2007 by Constantinescu
 _textcreatingcollection_ [l=ro] {crearea colecÅ£iei}  # Updated 21-Feb-2007 by Constantinescu
 
-# -- Missing translation: _textcollectorblurb_
+_textcollectorblurb_ [l=ro] {<i>Pana este mai puternicÄ decÃ¢t spada !
+<br>Construirea Åi distribuirea colecÅ£iilor de informaÅ£ii implicÄ responsabilitÄÅ£i care ar trebui gÃ¢ndire cu atenÅ£ie Ã®nainte de a Ã®ncepe. ExistÄ problemele legate de drepturile de copyright, adicÄ posibilitatea de a accesa documente nu Ã®nseamnÄ neapÄrat cÄ poÅ£i sÄ le dai la alÅ£ii. ExistÄ implicaÅ£ii de ordin social: colecÅ£iile trebuie sÄ respecte obiceiurile comunitÄÅ£ii din cadrul cÄreia au izvorÃ¢t. ExistÄ Åi probleme de naturÄ etica precum faptul cÄ anumite lucruri nu trebuie sÄ fie disponibile altora.
+<br>ConÅtientizaÅ£i puterea informaÅ£iei Åi folosiÅ£i-o cu Ã®nÅ£elepciune.
+</i>}  # Updated 21-Feb-2007 by constantinescu
 
 _textcb1_ [l=ro] {Colectorul Ã®Å£i permite sÄ creezi noi colecÅ£ii, sÄ modifici sau sÄ adaugi la cele existente ori, chiar sÄ le Återgi. Pentru a face acest lucru vei fi condus printr-o serie de pagini web, care vor solicita informaÅ£iile necesare.}  # Updated 21-Feb-2007 by Constantinescu
@@ -256,5 +259,5 @@
 _textcb4_ [l=ro] {IntroduceÅ£i numele de utilizator Åi parola, apoi apÄsaÅ£i pe buton pentru Ã®nregistrare.}  # Updated 21-Feb-2007 by Constantinescu
 
-# -- Missing translation: _textfsc_
+_textfsc_ [l=ro] {Mai Ã®ntÃ¢i, selectaÅ£i colecÅ£ia cu care doriÅ£i sÄ lucraÅ£i (colecÅ£iile protejate la scriere nu vor apÄrea Ã®n aceastÄ listÄ).}  # Updated 21-Feb-2007 by constantinescu
 
 _textwtc_ [l=ro] {Cu aceastÄ colecÅ£ie puteÅ£i sÄ}  # Updated 21-Feb-2007 by Constantinescu
@@ -266,5 +269,5 @@
 _textnwec_ [l=ro] {Nu sunt disponibile colecÅ£ii pretabile la scriere pentru a fi modificate}  # Updated 21-Feb-2007 by Constantinescu
 _textcianc_ [l=ro] {Crearea unei noi colecÅ£ii}  # Updated 21-Feb-2007 by Constantinescu
-# -- Missing translation: _texttsosn_
+_texttsosn_ [l=ro] {SecvenÅ£a paÅilor necesari pentru a crea o nouÄ colecÅ£ie a unei biblioteci digitale sunt:}  # Updated 21-Feb-2007 by constantinescu
 _textsin_ [l=ro] {Specifica-i numele (Åi informaÅ£iile asociate)}  # Updated 21-Feb-2007 by Constantinescu
 _textswts_ [l=ro] {SpecificÄ de unde provin datele sursÄ}  # Updated 21-Feb-2007 by Constantinescu
@@ -330,5 +333,5 @@
 _texttftysb_ [l=ro] {FiÅierele specificate mai jos vor fi adÄugate la colecÅ£ie. AveÅ£i grijÄ sÄ nu specificaÅ£i fiÅiere care esitÄ deja Ã®n colecÅ£ie, altfel vor fi incluse douÄ copii ale aceluiaÅi fiÅier. FiÅierele sunt identificate prin calea completÄ, prin paginile web cu adresa absolutÄ.}  # Updated 21-Feb-2007 by Constantinescu
 
-# -- Missing translation: _textis_
+_textis_ [l=ro] {Surse de input:}  # Updated 21-Feb-2007 by constantinescu
 
 _textddd1_ [l=ro] {<p>DacÄ foloseÅti file:// sau ftp:// pentru a specifica un fiÅier, acel fiÅier va fi downloadat.
@@ -391,5 +394,10 @@
 }  # Updated 21-Feb-2007 by Constantinescu
 
-# -- Missing translation: _textmkcolfail_
+_textmkcolfail_ [l=ro] {Colectorul a eÅuat Ã®n crearea structurii de directoare necesare noii colecÅ£ii (fiÅierul mkcol.pl a eÅuat). Cauzele posibile sunt:
+<ul>
+<li> Greenstone nu are permisiunea de scriere asupra directorului _gsdlhome_/tmp.
+<li> Scriptul mkcol.pl prezintÄ erori.
+</ul>
+}  # Updated 21-Feb-2007 by constantinescu
 
 _textnocontent_ [l=ro] {Eroare de Colector: nu a fost furnizat nici un nume pentru noua colecÅ£ie. ÃncearcÄ repornirea Colectorului de la Ã®nceput.}  # Updated 21-Feb-2007 by Constantinescu
@@ -399,5 +407,6 @@
 _textreloaderror_ [l=ro] {A apÄrut o eroare la crearea unei noi colecÅ£ii. Acest lucru se poate Ã®ntÃ¢mpla datoritÄ confuziei sistemului Greenstone privind utilizarea funcÅ£iei de âreloadâ sau a butoanelor âbackâ ale browserului folosit (vÄ rugÄm sÄ evitaÅ£i folosirea acestor butoane Ã®n timpul creÄrii unei colecÅ£ii cu ajutorul Colectorului). Se recomandÄ repornirea Colectorului de la Ã®nceput.}  # Updated 21-Feb-2007 by Constantinescu
 
-# -- Missing translation: _textexptsuc_
+_textexptsuc_ [l=ro] {ColecÅ£ia _cgiargbc1dirname_ a fost exportatÄ cu succes Ã®n directorul
+_gsdlhome_/tmp/exported\__cgiargbc1dirname_ .}  # Updated 21-Feb-2007 by constantinescu
 
 _textexptfail_ [l=ro] {<p>Eroare la exportarea colecÅ£iei _cgiargbc1dirname_ .
@@ -465,5 +474,5 @@
 
 _textplatformtitle_ [l=ro] {platfomÄ}  # Updated 21-Feb-2007 by Constantinescu
-_textgreenstone3_ [l=ro] {"Greenstone ruleazÄ pe Windows, Unix Åi Mac OS X. DistribuÅ£ia include fiÅierele binare pentru toate versiunile de Windows, Linux Åi Mac OS X. De asemenea, include codul sursÄ pentru system, care poate fi compilat folosindu-se Microsoft C++ sau gcc. Greenstone funcÅ£ioneazÄ Ã®mpreunÄ cu software-ul asociat, care este liber: webserver-ul Apache Åi PERL. InterfeÅ£ele cu utilizatorul folosesc un browser web, de obicei Netscape Navigator sau Internet Explorer."} # Updated 21-Feb-2007 by Constantinescu
+_textgreenstone3_ [l=ro] {"Greenstone ruleazÄ pe Windows, Unix Åi Mac OS X. DistribuÅ£ia include fiÅierele binare pentru toate versiunile de Windows, Linux Åi Mac OS X. De asemenea, include codul sursÄ pentru system, care poate fi compilat folosindu-se Microsoft C++ sau gcc. Greenstone funcÅ£ioneazÄ Ã®mpreunÄ cu software-ul asociat, care este liber: webserver-ul Apache Åi PERL. InterfeÅ£ele cu utilizatorul folosesc un browser web, de obicei Netscape Navigator sau Internet Explorer."}  # Updated 21-Feb-2007 by Constantinescu
 
 _textgreenstone4_ [l=ro] {Multe dintre colecÅ£iile de documente sunt distribuite pe CD-ROM folosindu-se software-ul Greeenstone. De exemplu, <i>Humanity Development Library</i> conÅ£ine 1.230 de publicaÅ£ii variind de la contabilitate pÃ¢nÄ la tratarea apelor menajere. Acestea ruleazÄ cu necesitÄÅ£i minimale privind calculatorul precum cele Ã®ntÃ¢lnite preponderent Ã®n Å£Ärile Ã®n dezvoltare. InformaÅ£ia poate fi accesatÄ prin cÄutare, trecerea Ã®n revistÄ a titlurilor, navigarea dupÄ organizaÅ£ii, parcurgerea unei liste de cum-sÄ Åi prin vizualizarea la Ã®ntÃ¢mplare a coperÅ£ilor cÄrÅ£ilor.